Update contextinfo against pylast-0.4

Reported by cruiseoveride on 2010-01-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Exaile
Medium
Unassigned

Bug Description

The backend that contextinfo uses to access last.fm is called pylast. http://code.google.com/p/pylast/

The version supplied (and built on) as part of the contextinfo plugin is pylast-v0.3

The current version is v0.4 - a complete rewrite since v0.3. Therefore it is reasonable to assume that currently using v0.3 to access last.fm has significant issues, thus spurred the author of pylast to rewrite the interface.

contextinfo should be updated to use pylast-v0.4.

Aren Olson (reacocard) wrote :

Might also be a good idea to work on consolidating the other last.fm plugins to use pylast 0.4, as 0.4 has scrobbling and support for alternate sites like libre.fm built in. Create extra bugs for this as needed.

Changed in exaile:
importance: Undecided → Medium
status: New → Confirmed
Ubuntuxer (johannes-schw) wrote :

I adapted the plugin contextinfo to the new version of pylast0.4, which supports the latest Last.fm API.
It's not ready yet.

Ubuntuxer (johannes-schw) wrote :

Hi, I noticed that Guillaume Lecomte already adapted contextinfo to pylast0.4 in his branch. I merged my changes and fixed the displaying of images. Please test it and give me feedback.

Ubuntuxer (johannes-schw) wrote :

I forgot to add the files contextprefs.py and contex_pane.ui. I'm uploading the complete patch now.

Aren Olson (reacocard) wrote :

sorry for taking so long to get back to you on this. Patch appears to work well, I've committed it in trunk/2828.

Changed in exaile:
milestone: none → 0.3.1
status: Confirmed → Fix Committed
Aren Olson (reacocard) on 2010-03-16
Changed in exaile:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers